#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.3.4
id: foldl-1.3.4-9M8rJHtUwmX3vLW6H8D3UZ
key: foldl-1.3.4-9M8rJHtUwmX3vLW6H8D3UZ
license: BSD3
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
author: Gabriel Gonzalez
exposed: True
indefinite: False
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
hidden-modules: Control.Foldl.Internal
abi: dc99e3a0cfe3267e6b5ff9c8e349a3fc
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/foldl-1.3.4
library-dirs: /usr/lib/ghc-8.2.2/site-local/foldl-1.3.4
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/foldl-1.3.4
hs-libraries: HSfoldl-1.3.4-9M8rJHtUwmX3vLW6H8D3UZ
depends:
    base-4.10.1.0 bytestring-0.10.8.2
    mwc-random-0.13.6.0-3s7old0IIUJ6cNLUb7xtit
    primitive-0.6.2.0-EI3NK1Xfv9zEcRtyXK2EwZ
    text-1.2.2.2-E3rQA0mJl73IvZIzvmwqAj transformers-0.5.2.0
    vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4 containers-0.5.10.2
    unordered-containers-0.2.8.0-I4wGGMV7X9X97sk1hrOqCV
    hashable-1.2.6.1-9ZXmUmZR8Ja1wkFjzrwxTy
    contravariant-1.4-7z11WOqE85DGeP9JdLBkE1
    semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7
    profunctors-5.2.1-KIZgcqCKkIPB9C6XrPs4zD
    comonad-5.0.2-5FGZALTgAAwCV8EmXasfw1
    vector-builder-0.3.4.1-IUuvT1reBBx7M25UlpFwJm
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             mwc-random-0.13.6.0-3s7old0IIUJ6cNLUb7xtit=741d941d62eb592b380bff475de4c419
             primitive-0.6.2.0-EI3NK1Xfv9zEcRtyXK2EwZ=b57ad999db73969433cb2012af075f16
             text-1.2.2.2-E3rQA0mJl73IvZIzvmwqAj=168216a11cdc39c8cc50d80b9c45a385
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4=aa687f07efbeaeb82a30478c8f07e96e
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             unordered-containers-0.2.8.0-I4wGGMV7X9X97sk1hrOqCV=b12cdae8ac228affcce9703d4cef3dce
             hashable-1.2.6.1-9ZXmUmZR8Ja1wkFjzrwxTy=0960747f6d33db66637f40f842025f18
             contravariant-1.4-7z11WOqE85DGeP9JdLBkE1=6a2b43384be6c8f5f492b023fa24d502
             semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7=863c6a42773abd5c980b4318cc858c44
             profunctors-5.2.1-KIZgcqCKkIPB9C6XrPs4zD=315ef14f980cf29ea67e6269656c2b3d
             comonad-5.0.2-5FGZALTgAAwCV8EmXasfw1=3624ae78f5a7be009a9ebe3e191d5ef0
             vector-builder-0.3.4.1-IUuvT1reBBx7M25UlpFwJm=73eba13ab6b8c32e25e58e8809f18ba2
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

